Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.parser
Class Constants

    java.lang.Object
      org.apache.jmeter.monitor.parser.Constants

public class Constants
extends Object

Constants for the custom DocumentHandler.

Version:
  $Revision: 674365 $

Field Summary
`static String` | `ATTRIBUTE_NAME`
`static String` | `BYTESRECEIVED`
`static String` | `BYTESSENT`
`static String` | `CONNECTOR`
`static String` | `CURRENTBUSYTHREADS`
`static String` | `CURRENTQUERYSTRING`
`static String` | `CURRENTTHREADCOUNT`
`static String` | `CURRENTURI`
`static String` | `ERRORCOUNT`
`static String` | `JVM`
`static String` | `MAXSPARETHREADS`
`static String` | `MAXTHREADS`
`static String` | `MAXTIME`
`static String` | `MEMORY`
`static String` | `MEMORY_FREE`
`static String` | `MEMORY_MAX`
`static String` | `MEMORY_TOTAL`
`static String` | `METHOD`
`static String` | `MINSPARETHREADS`
`static String` | `PROCESSINGTIME`
`static String` | `PROTOCOL`
`static String` | `REMOTEADDR`
`static String` | `REQUESTBYTESRECEIVED`
`static String` | `REQUESTBYTESSENT`
`static String` | `REQUESTCOUNT`
`static String` | `REQUESTINFO`
`static String` | `REQUESTPROCESSINGTIME`
`static String` | `STAGE`
`static String` | `STATUS`
`static String` | `THREADINFO`
`static String` | `VIRTUALHOST`
`static String` | `WORKER`
`static String` | `WORKERS`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS

    public static final String STATUS

See Also:
  Constant Field Values

### JVM

    public static final String JVM

See Also:
  Constant Field Values

### CONNECTOR

    public static final String CONNECTOR

See Also:
  Constant Field Values

### MEMORY

    public static final String MEMORY

See Also:
  Constant Field Values

### THREADINFO

    public static final String THREADINFO

See Also:
  Constant Field Values

### REQUESTINFO

    public static final String REQUESTINFO

See Also:
  Constant Field Values

### WORKER

    public static final String WORKER

See Also:
  Constant Field Values

### WORKERS

    public static final String WORKERS

See Also:
  Constant Field Values

### MEMORY_FREE

    public static final String MEMORY_FREE

See Also:
  Constant Field Values

### MEMORY_TOTAL

    public static final String MEMORY_TOTAL

See Also:
  Constant Field Values

### MEMORY_MAX

    public static final String MEMORY_MAX

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### MAXTHREADS

    public static final String MAXTHREADS

See Also:
  Constant Field Values

### MINSPARETHREADS

    public static final String MINSPARETHREADS

See Also:
  Constant Field Values

### MAXSPARETHREADS

    public static final String MAXSPARETHREADS

See Also:
  Constant Field Values

### CURRENTTHREADCOUNT

    public static final String CURRENTTHREADCOUNT

See Also:
  Constant Field Values

### CURRENTBUSYTHREADS

    public static final String CURRENTBUSYTHREADS

See Also:
  Constant Field Values

### MAXTIME

    public static final String MAXTIME

See Also:
  Constant Field Values

### PROCESSINGTIME

    public static final String PROCESSINGTIME

See Also:
  Constant Field Values

### REQUESTCOUNT

    public static final String REQUESTCOUNT

See Also:
  Constant Field Values

### ERRORCOUNT

    public static final String ERRORCOUNT

See Also:
  Constant Field Values

### BYTESRECEIVED

    public static final String BYTESRECEIVED

See Also:
  Constant Field Values

### BYTESSENT

    public static final String BYTESSENT

See Also:
  Constant Field Values

### STAGE

    public static final String STAGE

See Also:
  Constant Field Values

### REQUESTPROCESSINGTIME

    public static final String REQUESTPROCESSINGTIME

See Also:
  Constant Field Values

### REQUESTBYTESSENT

    public static final String REQUESTBYTESSENT

See Also:
  Constant Field Values

### REQUESTBYTESRECEIVED

    public static final String REQUESTBYTESRECEIVED

See Also:
  Constant Field Values

### REMOTEADDR

    public static final String REMOTEADDR

See Also:
  Constant Field Values

### VIRTUALHOST

    public static final String VIRTUALHOST

See Also:
  Constant Field Values

### METHOD

    public static final String METHOD

See Also:
  Constant Field Values

### CURRENTURI

    public static final String CURRENTURI

See Also:
  Constant Field Values

### CURRENTQUERYSTRING

    public static final String CURRENTQUERYSTRING

See Also:
  Constant Field Values

### PROTOCOL

    public static final String PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.